//
//  ViewController.swift
//  SampleHero
//
//  Created by Varun P M on 24/08/21.
//

import UIKit
import Hero

class ViewController: UIViewController {
    
    lazy var greenView: UIView = {
      let v = UIView()
      v.backgroundColor = .green
      return v
    }()

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        
        greenView.hero.id = "greenView"
        
        greenView.addGestureRecognizer(UITapGestureRecognizer(target: self, action: #selector(openSecondVC)))
        
        view.backgroundColor = .white
        
        view.addSubview(greenView)
        
        greenView.translatesAutoresizingMaskIntoConstraints = false
        view.addConstraints(NSLayoutConstraint.constraints(withVisualFormat: "V:|[greenView(100)]", options: NSLayoutConstraint.FormatOptions.init(rawValue: 0), metrics: nil, views: ["greenView": greenView]))
        view.addConstraints(NSLayoutConstraint.constraints(withVisualFormat: "H:|[greenView(100)]", options: NSLayoutConstraint.FormatOptions.init(rawValue: 0), metrics: nil, views: ["greenView": greenView]))
    }

    @objc func openSecondVC() {
        let vc = SecondViewController()
        vc.hero.isEnabled = true
        self.hero.isEnabled = true
        vc.modalPresentationStyle = .overCurrentContext
        self.present(vc, animated: true, completion: nil)
    }
}
